Page MenuHomePhabricator

Build .deb package of python3-aiokafka
Closed, DeclinedPublic

Description

I would like to use the aiokafka python module, on both jessie and stretch.

I've already prepared a repo for this, currently at https://github.com/marlier/python-aiokafka (I don't have permission to create projects in gerrit). Presumably that repo should be migrated over to our VCS.

Beyond that, all that needs to be done to build the package is dpkg-buildpackage -b.

Event Timeline

Imarlier created this task.Mar 14 2018, 8:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2018, 8:38 PM

I have created https://gerrit.wikimedia.org/r/operations/debs/python-aiokafka, could you import your package there for review, please?

Imarlier claimed this task.Jun 4 2018, 4:15 PM
Imarlier added a subscriber: MoritzMuehlenhoff.
elukey added a subscriber: elukey.Jun 4 2018, 4:16 PM

@MoritzMuehlenhoff is this task not relevant anymore? I'm getting a "Not Found" for the Gerrit repo.

kchapman removed Imarlier as the assignee of this task.Jan 25 2019, 2:44 AM
kchapman added a project: Performance-Team.

@kchapman I don't think that we have ever used it, IIRC Ian wanted to import the package but he never used it anywhere (but I could be wrong!). Is the package needed?

From the Analytics/Kafka point of view, we already use the following:

  • confluent-kafka-python
  • kafka-python
kchapman closed this task as Declined.Jan 29 2019, 5:52 PM

I have created https://gerrit.wikimedia.org/r/operations/debs/python-aiokafka, could you import your package there for review, please?

Looks like Gerrit's dropped support for this url format more generally (not specific to this repo).

That's a clone link. So the UI will report a 404 or not found.

Paladox removed a subscriber: Paladox.Jan 29 2019, 5:53 PM

I've marked the repo read-only, and updated its description to be "archived" pointing to this task.